> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Information by Task ID

> Query the status and results of video processing tasks



## OpenAPI

````yaml /api-reference/video/openapi.json post /v1/video/infobytaskid
openapi: 3.0.3
info:
  title: Video Service API
  description: >-
    Video Generation Service API - Provides various AI video generation, task
    queries and history features
  version: 1.0.1
  contact:
    name: API Support
servers:
  - url: https://api.tensorslab.com
    description: Development environment
security: []
tags:
  - name: Video Generation
    description: Video generation related interfaces
  - name: Task Management
    description: Task management related interfaces
paths:
  /v1/video/infobytaskid:
    post:
      tags:
        - Task Management
      summary: Query Information by Task ID
      description: Query the status and results of video processing tasks
      operationId: infoByTaskId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskid
              properties:
                taskid:
                  type: string
                  description: Task ID
                moreTaskInfo:
                  type: boolean
                  description: Whether to return more detailed task information
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskInfoResponse'
        '404':
          description: Task does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TaskInfoResponse:
      type: object
      description: Task info response
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/TaskInfoData'
          required:
            - data
    ErrorResponse:
      type: object
      description: Error response
      properties:
        code:
          type: integer
          description: 'Error code: 9999=Error, 9000=Insufficient Credits'
        msg:
          type: string
          description: Error message
      required:
        - code
        - msg
    BaseResponse:
      type: object
      description: Base response structure
      properties:
        code:
          type: integer
          description: >-
            Response status code: 1000=Success, 9999=Failure, 9000=Insufficient
            Credits
        msg:
          type: string
          description: Response message
      required:
        - code
        - msg
    TaskInfoData:
      type: object
      description: Task information data
      properties:
        taskid:
          type: string
          description: Task ID
        url:
          type: array
          description: List of generated video URLs
          items:
            type: string
            format: uri
        task_status:
          type: integer
          description: >-
            Task status: 1=Pending, 2=Processing, 3=Completed, 4=Failed,
            5=Uploading
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
        message:
          type: string
          description: Error message (when task fails)
        prompt:
          type: string
          description: Prompt
        imageurl:
          type: string
          description: Source image URL
        resolution:
          type: string
          description: Video resolution
        fps:
          type: integer
          description: Frame rate
        source:
          type: string
          description: AI model source
        duration:
          type: integer
          description: Video duration (seconds)
        seed:
          type: integer
          description: Random seed
        ratio:
          type: string
          description: Aspect ratio
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key Authorization

````